> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# people-data-labs

> People Data Labs

**Server path:** `/people-data-labs` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                              | Description           |
| --------------------------------------------------------------------------------- | --------------------- |
| [`people_data_labs_autocomplete`](#people_data_labs_autocomplete)                 | /autocomplete         |
| [`people_data_labs_bulk_retrieve_person`](#people_data_labs_bulk_retrieve_person) | /person/retrieve/bulk |
| [`people_data_labs_clean_company`](#people_data_labs_clean_company)               | /company/clean        |
| [`people_data_labs_clean_location`](#people_data_labs_clean_location)             | /location/clean       |
| [`people_data_labs_clean_school`](#people_data_labs_clean_school)                 | /school/clean         |
| [`people_data_labs_enrich_company`](#people_data_labs_enrich_company)             | /company/enrich       |
| [`people_data_labs_enrich_ip`](#people_data_labs_enrich_ip)                       | /ip/enrich            |
| [`people_data_labs_enrich_job_title`](#people_data_labs_enrich_job_title)         | /job\_title/enrich    |
| [`people_data_labs_enrich_person`](#people_data_labs_enrich_person)               | /person/enrich        |
| [`people_data_labs_enrich_skill`](#people_data_labs_enrich_skill)                 | /skill/enrich         |
| [`people_data_labs_identify_person`](#people_data_labs_identify_person)           | /person/identify      |
| [`people_data_labs_retrieve_person`](#people_data_labs_retrieve_person)           | /person/retrieve      |
| [`people_data_labs_search_company`](#people_data_labs_search_company)             | /company/search       |
| [`people_data_labs_search_person`](#people_data_labs_search_person)               | /person/search        |

***

## people\_data\_labs\_autocomplete

/autocomplete

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                           |
| -------------- | ------- | -------- | ------- | --------------------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                                      |
| `field`        | string  | Yes      | —       | An enumerated field that will be used to calculate the autocompletion |
| `text`         | string  | No       | —       | Text that is used as the seed for autocompletion                      |
| `size`         | integer | No       | —       | Numbers of results returned for autocompletion                        |
| `titlecase`    | boolean | No       | —       | Setting to `true` will titlecase any records returned                 |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "field": {
        "type": "string",
        "description": "An enumerated field that will be used to calculate the autocompletion",
        "enum": [
          "company",
          "country",
          "industry",
          "location",
          "major",
          "region",
          "role",
          "school",
          "sub_role",
          "skill",
          "title"
        ]
      },
      "text": {
        "type": "string",
        "description": "Text that is used as the seed for autocompletion"
      },
      "size": {
        "type": "integer",
        "description": "Numbers of results returned for autocompletion"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting to `true` will titlecase any records returned"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation"
      }
    },
    "required": [
      "PCID",
      "field"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_bulk\_retrieve\_person

/person/retrieve/bulk

**Parameters:**

| Parameter      | Type      | Required | Default | Description                                                                             |
| -------------- | --------- | -------- | ------- | --------------------------------------------------------------------------------------- |
| `Content-Type` | string    | No       | —       | The content type                                                                        |
| `titlecase`    | boolean   | No       | —       | Setting titlecase to true will titlecase the person data in 200 responses.              |
| `requests`     | object\[] | Yes      | —       | requests contains a list of objects that have a Person ID and optional metadata object. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase the person data in 200 responses."
      },
      "requests": {
        "type": "array",
        "items": {
          "type": "object"
        },
        "description": "requests contains a list of objects that have a Person ID and optional metadata object."
      }
    },
    "required": [
      "PCID",
      "requests"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_clean\_company

/company/clean

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                            |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                                       |
| `name`         | string  | No       | —       | The name of the company                                                |
| `website`      | string  | No       | —       | A website the company uses                                             |
| `profile`      | string  | No       | —       | A social profile of the company (linkedin/facebook/twitter/crunchbase) |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation.             |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "name": {
        "type": "string",
        "description": "The name of the company"
      },
      "website": {
        "type": "string",
        "description": "A website the company uses"
      },
      "profile": {
        "type": "string",
        "description": "A social profile of the company (linkedin/facebook/twitter/crunchbase)"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_clean\_location

/location/clean

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                           |
| `location`     | string  | Yes      | —       | The raw location to process                                |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "location": {
        "type": "string",
        "description": "The raw location to process"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      }
    },
    "required": [
      "PCID",
      "location"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_clean\_school

/school/clean

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                          |
| -------------- | ------- | -------- | ------- | -------------------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                                     |
| `name`         | string  | No       | —       | The name of the school                                               |
| `website`      | string  | No       | —       | A website the school uses                                            |
| `profile`      | string  | No       | —       | A social profile used by the school (e.g. LinkedIn/Facebook/Twitter) |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation.           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "name": {
        "type": "string",
        "description": "The name of the school"
      },
      "website": {
        "type": "string",
        "description": "A website the school uses"
      },
      "profile": {
        "type": "string",
        "description": "A social profile used by the school (e.g. LinkedIn/Facebook/Twitter)"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_enrich\_company

/company/enrich

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                   |
| -------------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------- |
| `Content-Type`       | string  | No       | —       | The content type                                                                                                              |
| `pdl_id`             | string  | No       | —       | The PDL ID of the company to enrich.                                                                                          |
| `name`               | string  | No       | —       | The name of the company.                                                                                                      |
| `profile`            | string  | No       | —       | A social profile of the company (linkedin/facebook/twitter/crunchbase).                                                       |
| `ticker`             | string  | No       | —       | The company's stock ticker, if publicly traded.                                                                               |
| `website`            | string  | No       | —       | A website the company uses.                                                                                                   |
| `location`           | string  | No       | —       | The location of the company's headquarters. This can be anything from a street address to a country name.                     |
| `street_address`     | string  | No       | —       | The company HQ's street address.                                                                                              |
| `locality`           | string  | No       | —       | The company HQ's locality. e.g. San Francisco                                                                                 |
| `region`             | string  | No       | —       | The company HQ's region. e.g. California                                                                                      |
| `country`            | string  | No       | —       | The company HQ's country.                                                                                                     |
| `postal_code`        | string  | No       | —       | The company HQ's postal code.                                                                                                 |
| `pretty`             | boolean | No       | —       | Whether the output should have human-readable indentation.                                                                    |
| `titlecase`          | boolean | No       | —       | All text in API responses returns as lowercase by default. Setting titlecase to true will titlecase response data instead.    |
| `include_if_matched` | boolean | No       | —       | If true, the response will include the top-level field matched that contains a list of every input that matched this profile. |
| `min_likelihood`     | integer | No       | —       | The minimum likelihood score a response must possess in order to return a 200.                                                |
| `required`           | string  | No       | —       | The fields a response must have in order to count as a match.                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "pdl_id": {
        "type": "string",
        "description": "The PDL ID of the company to enrich."
      },
      "name": {
        "type": "string",
        "description": "The name of the company."
      },
      "profile": {
        "type": "string",
        "description": "A social profile of the company (linkedin/facebook/twitter/crunchbase)."
      },
      "ticker": {
        "type": "string",
        "description": "The company's stock ticker, if publicly traded."
      },
      "website": {
        "type": "string",
        "description": "A website the company uses."
      },
      "location": {
        "type": "string",
        "description": "The location of the company's headquarters. This can be anything from a street address to a country name."
      },
      "street_address": {
        "type": "string",
        "description": "The company HQ's street address."
      },
      "locality": {
        "type": "string",
        "description": "The company HQ's locality. e.g. San Francisco"
      },
      "region": {
        "type": "string",
        "description": "The company HQ's region. e.g. California"
      },
      "country": {
        "type": "string",
        "description": "The company HQ's country."
      },
      "postal_code": {
        "type": "string",
        "description": "The company HQ's postal code."
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      },
      "titlecase": {
        "type": "boolean",
        "description": "All text in API responses returns as lowercase by default. Setting titlecase to true will titlecase response data instead."
      },
      "include_if_matched": {
        "type": "boolean",
        "description": "If true, the response will include the top-level field matched that contains a list of every input that matched this profile."
      },
      "min_likelihood": {
        "type": "integer",
        "description": "The minimum likelihood score a response must possess in order to return a 200."
      },
      "required": {
        "type": "string",
        "description": "The fields a response must have in order to count as a match."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_enrich\_ip

/ip/enrich

**Parameters:**

| Parameter             | Type    | Required | Default | Description                                                                                                                  |
| --------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------- |
| `Content-Type`        | string  | No       | —       | The content type                                                                                                             |
| `ip`                  | string  | Yes      | —       | IP that will be enriched.                                                                                                    |
| `return_ip_location`  | boolean | No       | —       | IP responses will not include location data for the IP by default.  Setting to `true` will return IP specific location info. |
| `return_ip_metadata`  | boolean | No       | —       | IP responses will not include metadata for the IP by default.  Setting to `true` will return IP specific metadata.           |
| `return_person`       | boolean | No       | —       | Setting to `true` will return person fields associated with the IP.                                                          |
| `return_if_unmatched` | boolean | No       | —       | Setting to `true` will return IP specific metadata or location data regardless of a company match.                           |
| `titlecase`           | boolean | No       | —       | Setting to `true` will titlecase any records returned.                                                                       |
| `pretty`              | boolean | No       | —       | Whether the output should have human-readable indentation.                                                                   |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "ip": {
        "type": "string",
        "description": "IP that will be enriched."
      },
      "return_ip_location": {
        "type": "boolean",
        "description": "IP responses will not include location data for the IP by default.  Setting to `true` will return IP specific location info."
      },
      "return_ip_metadata": {
        "type": "boolean",
        "description": "IP responses will not include metadata for the IP by default.  Setting to `true` will return IP specific metadata."
      },
      "return_person": {
        "type": "boolean",
        "description": "Setting to `true` will return person fields associated with the IP."
      },
      "return_if_unmatched": {
        "type": "boolean",
        "description": "Setting to `true` will return IP specific metadata or location data regardless of a company match."
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting to `true` will titlecase any records returned."
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      }
    },
    "required": [
      "PCID",
      "ip"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_enrich\_job\_title

/job\_title/enrich

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                               |
| -------------- | ------- | -------- | ------- | --------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                          |
| `job_title`    | string  | Yes      | —       | Job title that will be enriched                           |
| `titlecase`    | boolean | No       | —       | Setting to `true` will titlecase any records returned     |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "job_title": {
        "type": "string",
        "description": "Job title that will be enriched"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting to `true` will titlecase any records returned"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation"
      }
    },
    "required": [
      "PCID",
      "job_title"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_enrich\_person

/person/enrich

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                          |
| -------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Content-Type`       | string  | No       | —       | The content type                                                                                                                                                                                                                                     |
| `pdl_id`             | string  | No       | —       | The PDL ID of the person to enrich                                                                                                                                                                                                                   |
| `name`               | string  | No       | —       | The person's full name, at least first and last                                                                                                                                                                                                      |
| `first_name`         | string  | No       | —       | The person's first name                                                                                                                                                                                                                              |
| `last_name`          | string  | No       | —       | The person's last name                                                                                                                                                                                                                               |
| `middle_name`        | string  | No       | —       | The person's middle name                                                                                                                                                                                                                             |
| `location`           | string  | No       | —       | A location in which a person lives                                                                                                                                                                                                                   |
| `street_address`     | string  | No       | —       | A street address in which the person lives                                                                                                                                                                                                           |
| `locality`           | string  | No       | —       | A locality in which the person lives                                                                                                                                                                                                                 |
| `region`             | string  | No       | —       | A state or region in which the person lives                                                                                                                                                                                                          |
| `country`            | string  | No       | —       | A country in which the person lives                                                                                                                                                                                                                  |
| `postal_code`        | string  | No       | —       | The postal code where the person lives. If there is no value for country, the postal code is assumed to be US                                                                                                                                        |
| `company`            | string  | No       | —       | A name, website, or social url of a company where the person has worked                                                                                                                                                                              |
| `school`             | string  | No       | —       | A name, website, or social url of a university or college the person has attended                                                                                                                                                                    |
| `phone`              | string  | No       | —       | A phone number the person has used                                                                                                                                                                                                                   |
| `email`              | string  | No       | —       | An email the person has used                                                                                                                                                                                                                         |
| `email_hash`         | string  | No       | —       | A SHA-256 or MD5 email hash                                                                                                                                                                                                                          |
| `profile`            | string  | No       | —       | A social profile the person has used. [https://docs.peopledatalabs.com/docs/social-networks](https://docs.peopledatalabs.com/docs/social-networks)                                                                                                   |
| `lid`                | string  | No       | —       | The person's LinkedIn ID                                                                                                                                                                                                                             |
| `birth_date`         | string  | No       | —       | The person's birth date: either the year or a full birth date in the format YYYY-MM-DD                                                                                                                                                               |
| `data_include`       | string  | No       | —       | A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data\_include="" |
| `pretty`             | boolean | No       | —       | Whether the output should have human-readable indentation                                                                                                                                                                                            |
| `min_likelihood`     | integer | No       | —       | The minimum likelihood score that a response must have in order to count as a match                                                                                                                                                                  |
| `include_if_matched` | boolean | No       | —       | If set to true, includes a top-level (alongside "data", "status", etc) field "matched" which includes a value for each queried field parameter that was "matched-on" during our internal query.                                                      |
| `required`           | string  | No       | —       | The fields a response must have in order to count as a match                                                                                                                                                                                         |
| `titlecase`          | boolean | No       | —       | Setting titlecase to true will titlecase the person data in 200 responses.                                                                                                                                                                           |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "pdl_id": {
        "type": "string",
        "description": "The PDL ID of the person to enrich"
      },
      "name": {
        "type": "string",
        "description": "The person's full name, at least first and last"
      },
      "first_name": {
        "type": "string",
        "description": "The person's first name"
      },
      "last_name": {
        "type": "string",
        "description": "The person's last name"
      },
      "middle_name": {
        "type": "string",
        "description": "The person's middle name"
      },
      "location": {
        "type": "string",
        "description": "A location in which a person lives"
      },
      "street_address": {
        "type": "string",
        "description": "A street address in which the person lives"
      },
      "locality": {
        "type": "string",
        "description": "A locality in which the person lives"
      },
      "region": {
        "type": "string",
        "description": "A state or region in which the person lives"
      },
      "country": {
        "type": "string",
        "description": "A country in which the person lives"
      },
      "postal_code": {
        "type": "string",
        "description": "The postal code where the person lives. If there is no value for country, the postal code is assumed to be US"
      },
      "company": {
        "type": "string",
        "description": "A name, website, or social url of a company where the person has worked"
      },
      "school": {
        "type": "string",
        "description": "A name, website, or social url of a university or college the person has attended"
      },
      "phone": {
        "type": "string",
        "description": "A phone number the person has used"
      },
      "email": {
        "type": "string",
        "description": "An email the person has used"
      },
      "email_hash": {
        "type": "string",
        "description": "A SHA-256 or MD5 email hash"
      },
      "profile": {
        "type": "string",
        "description": "A social profile the person has used. https://docs.peopledatalabs.com/docs/social-networks"
      },
      "lid": {
        "type": "string",
        "description": "The person's LinkedIn ID"
      },
      "birth_date": {
        "type": "string",
        "description": "The person's birth date: either the year or a full birth date in the format YYYY-MM-DD"
      },
      "data_include": {
        "type": "string",
        "description": "A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data_include=\"\""
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation"
      },
      "min_likelihood": {
        "type": "integer",
        "description": "The minimum likelihood score that a response must have in order to count as a match"
      },
      "include_if_matched": {
        "type": "boolean",
        "description": "If set to true, includes a top-level (alongside \"data\", \"status\", etc) field \"matched\" which includes a value for each queried field parameter that was \"matched-on\" during our internal query."
      },
      "required": {
        "type": "string",
        "description": "The fields a response must have in order to count as a match"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase the person data in 200 responses."
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_enrich\_skill

/skill/enrich

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                |
| -------------- | ------- | -------- | ------- | ---------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                           |
| `skill`        | string  | Yes      | —       | skill that will be enriched.                               |
| `titlecase`    | boolean | No       | —       | Setting to `true` will titlecase any records returned.     |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "skill": {
        "type": "string",
        "description": "skill that will be enriched."
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting to `true` will titlecase any records returned."
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      }
    },
    "required": [
      "PCID",
      "skill"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_identify\_person

/person/identify

**Parameters:**

| Parameter            | Type    | Required | Default | Description                                                                                                                                                                                                                                          |
| -------------------- | ------- | -------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Content-Type`       | string  | No       | —       | The content type                                                                                                                                                                                                                                     |
| `name`               | string  | No       | —       | The person's full name, at least first and last                                                                                                                                                                                                      |
| `first_name`         | string  | No       | —       | The person's first name                                                                                                                                                                                                                              |
| `last_name`          | string  | No       | —       | The person's last name                                                                                                                                                                                                                               |
| `middle_name`        | string  | No       | —       | The person's middle name                                                                                                                                                                                                                             |
| `location`           | string  | No       | —       | A location in which a person lives                                                                                                                                                                                                                   |
| `street_address`     | string  | No       | —       | A street address in which the person lives                                                                                                                                                                                                           |
| `locality`           | string  | No       | —       | A locality in which the person lives                                                                                                                                                                                                                 |
| `region`             | string  | No       | —       | A state or region in which the person lives                                                                                                                                                                                                          |
| `country`            | string  | No       | —       | A country in which the person lives                                                                                                                                                                                                                  |
| `postal_code`        | string  | No       | —       | The postal code where the person lives. If there is no value for country, the postal code is assumed to be US                                                                                                                                        |
| `company`            | string  | No       | —       | A name, website, or social url of a company where the person has worked                                                                                                                                                                              |
| `school`             | string  | No       | —       | A name, website, or social url of a university or college the person has attended                                                                                                                                                                    |
| `phone`              | string  | No       | —       | A phone number the person has used                                                                                                                                                                                                                   |
| `email`              | string  | No       | —       | An email the person has used                                                                                                                                                                                                                         |
| `email_hash`         | string  | No       | —       | A sha256 email hash                                                                                                                                                                                                                                  |
| `profile`            | string  | No       | —       | A social profile the person has used. [https://docs.peopledatalabs.com/docs/social-networks](https://docs.peopledatalabs.com/docs/social-networks)                                                                                                   |
| `lid`                | string  | No       | —       | The person's LinkedIn ID                                                                                                                                                                                                                             |
| `birth_date`         | string  | No       | —       | The person's birth date: either the year or a full birth date in the format YYYY-MM-DD                                                                                                                                                               |
| `pretty`             | boolean | No       | —       | Whether the output should have human-readable indentation                                                                                                                                                                                            |
| `titlecase`          | boolean | No       | —       | Setting titlecase to true will titlecase the person data in 200 responses.                                                                                                                                                                           |
| `data_include`       | string  | No       | —       | A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data\_include="" |
| `include_if_matched` | boolean | No       | —       | If true, the response will include the field matches.matched\_on that contains a list of every query input that matched this profile                                                                                                                 |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "name": {
        "type": "string",
        "description": "The person's full name, at least first and last"
      },
      "first_name": {
        "type": "string",
        "description": "The person's first name"
      },
      "last_name": {
        "type": "string",
        "description": "The person's last name"
      },
      "middle_name": {
        "type": "string",
        "description": "The person's middle name"
      },
      "location": {
        "type": "string",
        "description": "A location in which a person lives"
      },
      "street_address": {
        "type": "string",
        "description": "A street address in which the person lives"
      },
      "locality": {
        "type": "string",
        "description": "A locality in which the person lives"
      },
      "region": {
        "type": "string",
        "description": "A state or region in which the person lives"
      },
      "country": {
        "type": "string",
        "description": "A country in which the person lives"
      },
      "postal_code": {
        "type": "string",
        "description": "The postal code where the person lives. If there is no value for country, the postal code is assumed to be US"
      },
      "company": {
        "type": "string",
        "description": "A name, website, or social url of a company where the person has worked"
      },
      "school": {
        "type": "string",
        "description": "A name, website, or social url of a university or college the person has attended"
      },
      "phone": {
        "type": "string",
        "description": "A phone number the person has used"
      },
      "email": {
        "type": "string",
        "description": "An email the person has used"
      },
      "email_hash": {
        "type": "string",
        "description": "A sha256 email hash"
      },
      "profile": {
        "type": "string",
        "description": "A social profile the person has used. https://docs.peopledatalabs.com/docs/social-networks"
      },
      "lid": {
        "type": "string",
        "description": "The person's LinkedIn ID"
      },
      "birth_date": {
        "type": "string",
        "description": "The person's birth date: either the year or a full birth date in the format YYYY-MM-DD"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase the person data in 200 responses."
      },
      "data_include": {
        "type": "string",
        "description": "A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data_include=\"\""
      },
      "include_if_matched": {
        "type": "boolean",
        "description": "If true, the response will include the field matches.matched_on that contains a list of every query input that matched this profile"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_retrieve\_person

/person/retrieve

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                |
| -------------- | ------- | -------- | ------- | -------------------------------------------------------------------------- |
| `Content-Type` | string  | No       | —       | The content type                                                           |
| `person_id`    | string  | Yes      | —       | The ID of a person                                                         |
| `titlecase`    | boolean | No       | —       | Setting titlecase to true will titlecase the person data in 200 responses. |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "Content-Type": {
        "type": "string",
        "description": "The content type",
        "enum": [
          "application/json"
        ]
      },
      "person_id": {
        "type": "string",
        "description": "The ID of a person"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase the person data in 200 responses."
      }
    },
    "required": [
      "PCID",
      "person_id"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_search\_company

/company/search

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `from`         | integer | No       | —       | An offset value for pagination. Can be a number between 0 and 9999. Pagination can be executed up to a maximum of 10,000 records per query. Be sure to use the "total" response field to help discover how many total records exist in the dataset for your query |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation                                                                                                                                                                                                         |
| `query`        | object  | No       | —       | An Elasticsearch (v7.7) query. See our underlying Elasticsearch mapping for reference                                                                                                                                                                             |
| `scroll_token` | string  | No       | —       | Each search API response returns a scroll\_token. Include it in the next request to fetch the next size matching records                                                                                                                                          |
| `size`         | integer | No       | —       | The number of matched records to return for this query if they exist\*. Must be between 1 and 100                                                                                                                                                                 |
| `sql`          | string  | No       | —       | A SQL query of the format: SELECT \* FROM company WHERE XXX, where XXX is a standard SQL boolean query involving our company fields                                                                                                                               |
| `titlecase`    | boolean | No       | —       | Setting titlecase to true will titlecase any records returned                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "from": {
        "type": "integer",
        "description": "An offset value for pagination. Can be a number between 0 and 9999. Pagination can be executed up to a maximum of 10,000 records per query. Be sure to use the \"total\" response field to help discover how many total records exist in the dataset for your query"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation"
      },
      "query": {
        "type": "object",
        "description": "An Elasticsearch (v7.7) query. See our underlying Elasticsearch mapping for reference"
      },
      "scroll_token": {
        "type": "string",
        "description": "Each search API response returns a scroll_token. Include it in the next request to fetch the next size matching records"
      },
      "size": {
        "type": "integer",
        "description": "The number of matched records to return for this query if they exist*. Must be between 1 and 100"
      },
      "sql": {
        "type": "string",
        "description": "A SQL query of the format: SELECT * FROM company WHERE XXX, where XXX is a standard SQL boolean query involving our company fields"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase any records returned"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## people\_data\_labs\_search\_person

/person/search

**Parameters:**

| Parameter      | Type    | Required | Default | Description                                                                                                                                                                                                                                                       |
| -------------- | ------- | -------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `data_include` | string  | No       | —       | A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data\_include=""              |
| `dataset`      | string  | No       | —       | Specifies which dataset(s) the API should search against                                                                                                                                                                                                          |
| `from`         | integer | No       | —       | An offset value for pagination. Can be a number between 0 and 9999. Pagination can be executed up to a maximum of 10,000 records per query. Be sure to use the "total" response field to help discover how many total records exist in the dataset for your query |
| `pretty`       | boolean | No       | —       | Whether the output should have human-readable indentation.                                                                                                                                                                                                        |
| `query`        | object  | No       | —       | An Elasticsearch (v7.7) query. See our underlying Elasticsearch mapping for reference.                                                                                                                                                                            |
| `scroll_token` | string  | No       | —       | Each search API response returns a scroll\_token. Include it in the next request to fetch the next size matching records                                                                                                                                          |
| `size`         | integer | No       | —       | The number of matched records to return for this query if they exist\*. Must be between 1 and 100                                                                                                                                                                 |
| `sql`          | string  | No       | —       | A SQL query of the format: SELECT \* FROM person WHERE XXX, where XXX is a standard SQL boolean query involving our person fields                                                                                                                                 |
| `titlecase`    | boolean | No       | —       | Setting titlecase to true will titlecase any records returned                                                                                                                                                                                                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "data_include": {
        "type": "string",
        "description": "A comma-separated string of fields that you would like the response to include. Begin the string with a - if you would instead like to exclude the specified fields. If you would like to exclude all data from being returned, use data_include=\"\""
      },
      "dataset": {
        "type": "string",
        "description": "Specifies which dataset(s) the API should search against"
      },
      "from": {
        "type": "integer",
        "description": "An offset value for pagination. Can be a number between 0 and 9999. Pagination can be executed up to a maximum of 10,000 records per query. Be sure to use the \"total\" response field to help discover how many total records exist in the dataset for your query"
      },
      "pretty": {
        "type": "boolean",
        "description": "Whether the output should have human-readable indentation."
      },
      "query": {
        "type": "object",
        "description": "An Elasticsearch (v7.7) query. See our underlying Elasticsearch mapping for reference."
      },
      "scroll_token": {
        "type": "string",
        "description": "Each search API response returns a scroll_token. Include it in the next request to fetch the next size matching records"
      },
      "size": {
        "type": "integer",
        "description": "The number of matched records to return for this query if they exist*. Must be between 1 and 100"
      },
      "sql": {
        "type": "string",
        "description": "A SQL query of the format: SELECT * FROM person WHERE XXX, where XXX is a standard SQL boolean query involving our person fields"
      },
      "titlecase": {
        "type": "boolean",
        "description": "Setting titlecase to true will titlecase any records returned"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>
